summaryrefslogtreecommitdiff
path: root/dev-build/xmake
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-build/xmake
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-build/xmake')
-rw-r--r--dev-build/xmake/Manifest1
-rw-r--r--dev-build/xmake/metadata.xml18
-rw-r--r--dev-build/xmake/xmake-3.0.9.ebuild68
-rw-r--r--dev-build/xmake/xmake-9999.ebuild68
4 files changed, 155 insertions, 0 deletions
diff --git a/dev-build/xmake/Manifest b/dev-build/xmake/Manifest
new file mode 100644
index 000000000000..816a7d628a67
--- /dev/null
+++ b/dev-build/xmake/Manifest
@@ -0,0 +1 @@
+DIST xmake-v3.0.9.tar.gz 3290252 BLAKE2B 3bcc1b51d3c3cb5ef8b5e79eba7ca7b57000ee1dff54a1cffcc256c24e3c3c8a849ac7d354b80d5bc11f7dd603f93882d9d6a74dc2e63eeaf7692cd38cda9603 SHA512 c94481c9a922571b8f533830ddc10441c584d41000e49bdabaf12a7e573bc9c9c0335a4a6189c6ea7d4522e755502a2d3fe3308731eb12bf3fe10b72659997ec
diff --git a/dev-build/xmake/metadata.xml b/dev-build/xmake/metadata.xml
new file mode 100644
index 000000000000..8fb6884938dd
--- /dev/null
+++ b/dev-build/xmake/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <upstream>
+ <bugs-to>https://github.com/xmake-io/xmake/issues</bugs-to>
+ <remote-id type="github">xmake-io/xmake</remote-id>
+ </upstream>
+ <longdescription lang="en">
+ xmake is a lightweight cross-platform build utility based on Lua. It uses
+ xmake.lua to maintain project builds. Compared with makefile/CMakeLists.txt,
+ the configuration syntax is more concise and intuitive. It is very friendly
+ to novices and can quickly get started in a short time. Let users focus more
+ on actual project development.
+ It can compile the project directly like Make/Ninja, or generate project
+ files like CMake/Meson, and it also has a built-in package management system
+ to help users solve the integrated use of C/C++ dependent libraries.
+ </longdescription>
+</pkgmetadata>
diff --git a/dev-build/xmake/xmake-3.0.9.ebuild b/dev-build/xmake/xmake-3.0.9.ebuild
new file mode 100644
index 000000000000..d165a44324d4
--- /dev/null
+++ b/dev-build/xmake/xmake-3.0.9.ebuild
@@ -0,0 +1,68 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit optfeature shell-completion
+
+DESCRIPTION="A cross-platform build utility based on Lua"
+HOMEPAGE="https://xmake.io"
+
+if [[ ${PV} == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/xmake-io/${PN}.git"
+else
+ SRC_URI="https://github.com/xmake-io/${PN}/releases/download/v${PV}/${PN}-v${PV}.tar.gz"
+ KEYWORDS="~amd64 ~riscv ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+# tarball doesn't provide tests
+RESTRICT="test"
+
+DEPEND="
+ sys-libs/ncurses:=
+ sys-libs/readline:=
+"
+BDEPEND="
+ virtual/pkgconfig
+"
+RDEPEND="
+ ${DEPEND}
+ ${BDEPEND}
+"
+
+DOCS=(
+ CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.md
+ NOTICE.md README.md README_zh.md
+)
+
+src_prepare() {
+ default
+
+ # Don't strip binaries
+ sed -i 's/"-s"/""/' configure || die
+}
+
+src_configure() {
+ econf --prefix="${EPREFIX}"/usr \
+ --plat=linux
+ # --plat=linux is necessary, which enables correct directory:
+ # build/linux/ARCH other than build/ARCH/ARCH
+}
+
+src_install() {
+ default
+
+ doman scripts/man/*
+
+ newbashcomp xmake/scripts/completions/register-completions.bash xmake
+ bashcomp_alias xmake xrepo
+ newzshcomp xmake/scripts/completions/register-completions.zsh _xmake
+ newfishcomp xmake/scripts/completions/register-completions.fish xmake.fish
+}
+
+pkg_postinst() {
+ optfeature "cached compilation for your xmake projects" dev-util/ccache
+}
diff --git a/dev-build/xmake/xmake-9999.ebuild b/dev-build/xmake/xmake-9999.ebuild
new file mode 100644
index 000000000000..d165a44324d4
--- /dev/null
+++ b/dev-build/xmake/xmake-9999.ebuild
@@ -0,0 +1,68 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit optfeature shell-completion
+
+DESCRIPTION="A cross-platform build utility based on Lua"
+HOMEPAGE="https://xmake.io"
+
+if [[ ${PV} == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/xmake-io/${PN}.git"
+else
+ SRC_URI="https://github.com/xmake-io/${PN}/releases/download/v${PV}/${PN}-v${PV}.tar.gz"
+ KEYWORDS="~amd64 ~riscv ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+# tarball doesn't provide tests
+RESTRICT="test"
+
+DEPEND="
+ sys-libs/ncurses:=
+ sys-libs/readline:=
+"
+BDEPEND="
+ virtual/pkgconfig
+"
+RDEPEND="
+ ${DEPEND}
+ ${BDEPEND}
+"
+
+DOCS=(
+ CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.md
+ NOTICE.md README.md README_zh.md
+)
+
+src_prepare() {
+ default
+
+ # Don't strip binaries
+ sed -i 's/"-s"/""/' configure || die
+}
+
+src_configure() {
+ econf --prefix="${EPREFIX}"/usr \
+ --plat=linux
+ # --plat=linux is necessary, which enables correct directory:
+ # build/linux/ARCH other than build/ARCH/ARCH
+}
+
+src_install() {
+ default
+
+ doman scripts/man/*
+
+ newbashcomp xmake/scripts/completions/register-completions.bash xmake
+ bashcomp_alias xmake xrepo
+ newzshcomp xmake/scripts/completions/register-completions.zsh _xmake
+ newfishcomp xmake/scripts/completions/register-completions.fish xmake.fish
+}
+
+pkg_postinst() {
+ optfeature "cached compilation for your xmake projects" dev-util/ccache
+}